org.jboss.jca.core.connectionmanager.pool.capacity

## Class WatermarkDecrementer

- java.lang.Object
- - org.jboss.jca.core.connectionmanager.pool.capacity.WatermarkDecrementer

- All Implemented Interfaces:
    CapacityDecrementer

      public class WatermarkDecrementer
      extends java.lang.Object
      implements CapacityDecrementer

  Decrement until the defined pool size is reached. Default value is min-pool-size
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WatermarkDecrementer()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setWatermark(int v)` Set the watermark
    `boolean` | `shouldDestroy(ConnectionListener cl, long timeout, int currentSize, int minPoolSize, int destroyed)` Should the connection listener be destroyed
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WatermarkDecrementer

          public WatermarkDecrementer()

      Constructor

  - ### Method Detail

    - #### setWatermark

          public void setWatermark(int v)

      Set the watermark
      Parameters:
        `v` - The value

    - #### shouldDestroy

          public boolean shouldDestroy(ConnectionListener cl,
                                       long timeout,
                                       int currentSize,
                                       int minPoolSize,
                                       int destroyed)

      Should the connection listener be destroyed
      Specified by:
        `shouldDestroy` in interface `CapacityDecrementer`
      Parameters:
        `cl` - The connection listener
        `timeout` - The timeout watermark
        `currentSize` - The current pool size
        `minPoolSize` - The minimum pool size
        `destroyed` - The number of connection listeners destroyed during this call cycle
      Returns:
        `True` if the connection listener should be destroyed; otherwise `false`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)